Subject: RE: [Ltru] Re: editorial nits in initial registry draft -01

From: "Addison Phillips" <[email-masked]>
Date: Sun, 10 Jul 2005 11:10:58 -0700

You're not supposed to have a reference in the abstract, no? I got beat up on that for weeks.

Why not say:

"This memo defines the initial contents of the Language Subtag Registry for use in forming tags for the identification of languages."

The introduction can say where draft-registry is at and all that.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Doug Ewell
> Sent: 2005年7月10日 10:50
> To: LTRU Working Group
> Subject: [Ltru] Re: editorial nits in initial registry draft -01
> 
> Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:
> 
> > Need to ensure that the "RFC 3066bis" in the Abstract gets replaced
> > with the actual RFC number during the RFC editing process.
> 
> Just let me know how to do that.  I tried making this a reference to
> [I-D.ietf-ltru-registry], but one tool or another didn't like that in
> the Abstract.
> 
> > "This memo does not define the permanent contents of the registry."
> > isn't quite what we need to say.  If there's no objection, I suggest
> > something like "Since the contents of this memo only serve as a
> > starting point for the registry, it is inappropriate to use this memo
> > in lieue of the registry."
> 
> (s/lieue/lieu/)
> 
> I'm not sure I see the practical difference, but I made the change.  Do
> I need to change the last sentence of the third paragraph of the
> Introduction as well?
> 
> > The last sentence of section 1 ("The process for determining the
> > contents of this registry is defined  in Section 3.7 of
> > [I-D.ietf-ltru-registry].") isn't needed, since that material
> > immediately follows.
> 
> Right, that was a holdover from the days before the current Section 2
> was created.
> 
> > (I bet the RFC editor gets rid of the inter-section page breaks.  :-)
> 
> I had to delete <?rfc compact="yes" ?> so the text in the nested lists
> in Section 2 wouldn't come out all jammed together.  This had the side
> effect of introducing the page breaks between sections.  If anyone can
> show me a better way to do this, I'd appreciate it.
> 
> > "the the" -> "the"
> 
> Done.
> 
> > "RFC 3066" needs a reference.  (informative)
> 
> Done, everywhere RFC 3066 is mentioned.  The one mention of RFC 1766 was
> also turned into a reference.  There are now a LOT more references than
> before.
> 
> I also removed the first hyphen in references like [ISO-639-1], changing
> it to [ISO639-1], because that seems to be the convention.  I left
> [UN-M.49] alone, since it was just too ugly otherwise.
> 
> > "This section defines the process used to create the initial registry
> > entries." ->
> > "This section describes the process that was used to create the
> > initial registry entries."
> 
> Done.
> 
> > "The initial set of records is based on the following standards:" ->
> > "The initial set of records was based on the following standards:"
> 
> Done, along with similar present/past tense corrections.
> 
> > "7.  Tags in the RFC 3066 registry that are not deprecated, consist
> >       entirely of subtags already in this document, and have the
> >       correct" ->
> > "7.  Tags in the RFC 3066 registry that were not deprecated, consisted
> >       entirely of subtags already in that document, and have the
> >       correct"
> 
> No, it's *this* document, the initial registry.  The RFC 3066 registry
> doesn't have subtags, only whole tags.
> 
> > Do we really need this paragraph  in this document?
> >    Any additional registrations completed after the adoption of
> >    [I-D.ietf-ltru-registry] using the rules in RFC 3066 will be
> >    incorporated into the Language Subtag Registry using the rules
> >    defined above, or will result in the submission of appropriate
> >    records by the Language Subtag Reviewer according to the rules in
> >    [I-D.ietf-ltru-registry].
> 
> Addison proposed that text on July 5 to replace "New registrations
> completed under RFC 3066 were entered into the ILSR using the rules
> defined above."  Personally I agree that no text related to ongoing
> maintenance of the registry belongs in draft-initial.  I've commented
> out the above text, not deleted it, in case a battle ensues about
> retaining it.
> 
> > This paragraph also doesn't belong in this document.
> >    All existing RFC 3066 language tag registrations will be maintained
> >    in perpetuity.
> > It's about registry maintenance, rather than initialization.
> 
> I agree, and have commented this out as well.  Actually, I think all of
> item 11 from "Interested parties" to the end should be deleted, as it
> also pertains to registry maintenance, but I'll wait to hear a humming
> sound before I do anything about it.
> 
> I have not added any references or explanations regarding the use of
> Unicode escape sequences.  Section 1 briefly mentions record-jar, but
> then defers all other format-related details to [draft-registry].
> 
> 200 has been expurgated from Section 4.
> 
> Draft-initial-02 is now available:
> http://users.adelphia.net/~dewell/draft-ietf-ltru-initial-02.txt
> http://users.adelphia.net/~dewell/draft-ietf-ltru-initial-02.html
> http://users.adelphia.net/~dewell/draft-ietf-ltru-initial-02.xml
> 
> --
> Doug Ewell
> Fullerton, California
> http://users.adelphia.net/~dewell/
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Sun, 10 Jul 2005 12:21:24 -0700

Addison Phillips <addison dot phillips at quest dot com> wrote:

> Why not say:
>
> "This memo defines the initial contents of the Language Subtag
> Registry for use in forming tags for the identification of languages."
>

Why not, indeed?  Makes sense to me.  I made that change, and <!-- left
the original --> in case of dispute.

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Sun, 10 Jul 2005 18:07:59 -0400

> From: Addison Phillips [mailto:[email-masked]] 
> Sent: Sunday, July 10, 2005 2:11 PM
> To: Doug Ewell; LTRU Working Group
> Subject: RE: [Ltru] Re: editorial nits in initial registry draft -01
> 
> "This memo defines the initial contents of the Language 
> Subtag Registry for use in forming tags for the 
> identification of languages."
> 

This is better than my suggestion to mention the I-D name and adding an RFC
Editor note.

-Scott-

---

From: "Randy Presuhn" <[email-masked]>
Date: Sun, 10 Jul 2005 21:17:50 -0700

Hi -

> From: "Scott Hollenbeck" <[email-masked]>
> To: "'Addison Phillips'" <[email-masked]>; "'Doug Ewell'" <[email-masked]>; "'LTRU Working Group'"
<[email-masked]>
> Sent: Sunday, July 10, 2005 3:07 PM
...
> > Subject: RE: [Ltru] Re: editorial nits in initial registry draft -01
...
> This is better than my suggestion to mention the I-D name and adding an RFC
...

+1

Randy

---

From: Martin Duerst <[email-masked]>
Date: Mon, 11 Jul 2005 10:17:32 +0900

Are we actually going to publish the -initial draft as an RFC?
I seem to remember that at one point, the idea was to not do
that, because by the time the RFC would be published, it would
already be out of date. In that scenario, we planned to move
-initial through (WG and IETF) last call and IESG approval,
but then go directly to IANA and no further in the RFC process.
If I'm out of sync here, I'm sorry.

Regards,    Martin.

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 11 Jul 2005 12:01:46 -0700

Hi -

> From: "Martin Duerst" <[email-masked]>
> To: "Doug Ewell" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Sunday, July 10, 2005 6:17 PM
> Subject: Re: [Ltru] Re: editorial nits in initial registry draft -01
>
...

Well, that was quite some time ago.  :-)   :-)

Way back on May 28, Scott Hollenbeck, our AD, responded
(of-list) to the co-chairs:
| The last option (information RFC) is the one most commonly used.  It can
| contain both the initial contents and text to let people know that they
| should refer to the registry at a specific location for the most current
| values.  This would be my preference.

On May 31, I posted to the WG mailing list the resolution of issue #878:

| The WG discussion of this issue was inconclusive, so the co-chairs consulted
| with our responsible AD to determine what in his opinion would work best
| logistically with IANA and the IESG to deliver the initial registry contents.
| The conclusion: the registry contents should indeed be put into an internet-draft,
| for publication as an *informational* RFC.  It would  contain both the initial registry
| contents and text to let people know that they  should refer to the registry at a
| specific location for the most current  values.

Randy